

backend:
  name: github
  repo: "RookieInvestigator/aaaiceberg-content"
  branch: main
search: false
publish_mode: simple
media_folder: public/uploads
public_folder: /uploads
collections:
  - name: settings
    label: 全局设定
    files:
      - name: iceberg_manifest
        label: 冰山图清单管理
        file: content/_manifest.json
        fields:
          - name: charts
            label: 冰山图列表
            widget: list
            summary: '{{fields.title}}'
            fields:
              - label: ID (唯一标识)
                name: id
                widget: string
              - label: 显示标题
                name: title
                widget: string
              - label: 简短描述
                name: description
                widget: text
                required: false
                default: ''
              - label: 作者
                name: author
                widget: text
                required: false
                default: ''
      - name: glossary
        label: 词汇表管理
        file: content/glossary.json
        fields:
          - name: terms
            label: 词汇列表
            widget: list
            summary: '{{fields.term}}'
            collapsed: false
            fields:
              - label: ID
                name: id
                widget: uuid
              - label: 名词
                name: term
                widget: string
              - label: 解释
                name: definition
                widget: markdown
  - name: chinese-oddities
    label: 冰山图 - 中文兔子洞
    files:
      - name: meta
        label: 元数据 (Meta)
        file: content/iceberg-charts/chinese-oddities/metadata.json
        fields:
          - label: 标题
            name: title
            widget: string
          - label: 描述
            name: description
            widget: markdown
            required: false
            default: ''
          - label: 制作者
            name: creators
            widget: list
            required: false
            fields:
              - label: 名称
                name: name
                widget: string
              - label: 个人主页
                name: url
                widget: string
            default: []
          - label: 协作者
            name: collaborator
            widget: list
            required: false
            fields:
              - label: 名称
                name: name
                widget: string
              - label: 个人主页
                name: url
                widget: string
            default: []
          - label: 隐藏
            name: hidden
            widget: boolean
            default: false
            required: false
      - name: layers
        label: 层级 (Layers)
        file: content/iceberg-charts/chinese-oddities/layers.json
        fields:
          - name: layers
            label: 层级列表
            widget: list
            summary: 'L{{fields.level}} - {{fields.name}}'
            fields:
              - label: 层级 (数字)
                name: level
                widget: number
                value_type: int
              - label: 名称
                name: name
                widget: string
              - label: 描述
                name: description
                widget: text
                required: false
                default: ''
              - label: 图片
                name: image
                widget: image
                required: false
                default: ''
      - name: categories
        label: 分类 (Categories)
        file: content/iceberg-charts/chinese-oddities/categories.json
        fields:
          - name: categories
            label: 分类列表
            widget: list
            summary: '{{fields.name}}'
            fields:
              - label: ID
                name: id
                widget: unique-id-button
                required: true
                hint: '必要：点击“生成 ID”按钮或手动输入一个唯一ID。'
              - label: 名称
                name: name
                widget: string
              - label: 颜色
                name: color
                widget: color
              - label: 描述
                name: description
                widget: text
                required: false
                default: ''
      - name: tags
        label: 标签 (Tags)
        file: content/iceberg-charts/chinese-oddities/tags.json
        fields:
          - name: tags
            label: 标签列表
            widget: list
            summary: '{{fields.name}}'
            fields:
              - label: ID
                name: id
                widget: unique-id-button
                required: true
                hint: '必要：点击“生成 ID”按钮或手动输入一个唯一ID。'
              - label: 名称
                name: name
                widget: string
              - label: Emoji
                name: emoji
                widget: string
              - label: 颜色
                name: color
                widget: color
              - label: 描述
                name: description
                widget: text
                required: false
                default: ''
  - name: chinese-oddities-entries
    label: 冰山图 - 中文兔子洞 - 词条
    folder: content/iceberg-charts/chinese-oddities/entries
    load_in_cluster: true
    create: true
    slug: '{{name}}'
    summary: L{{layer}} - {{name}}
    view_groups:
      - label: 层级
        field: layer
    fields:
      - name: id
        label: ID
        widget: unique-id-button # 使用你自定义小部件的名称
        required: true
        hint: '必要：点击“生成 ID”按钮或手动输入一个唯一ID。'
      - name: lastUpdated
        label: 最后更新时间
        widget: datetime
        format: 'X'
        date_format: 'YYYY-MM-DD'
        time_format: 'HH:mm'
        required: false
        default: ''
      - name: name
        label: 词条名称
        widget: string
      - name: aliases
        label: 别名
        widget: list
        required: false
        allow_add: true
        default: []
      - name: layer
        label: 层级 (数字)
        widget: number
        default: 1
      - name: eventDate
        label: 事件日期
        widget: datetime
        required: false
        format: 'YYYY-MM-DD'
        date_format: 'YYYY-MM-DD'
        time_format: false
        default: ''
      - name: categoryId
        label: 分类
        widget: relation
        collection: chinese-oddities
        file: categories
        search_fields:
          - categories.*.name
        display_fields:
          - categories.*.name
        value_field: categories.*.id
        required: false
        default: ''
      - name: tagIds
        label: 标签
        widget: relation
        collection: chinese-oddities
        file: tags
        search_fields:
          - tags.*.name
        display_fields:
          - tags.*.name
        value_field: tags.*.id
        multiple: true
        required: false
        default: []
      - name: nsfw
        label: 不适合直播
        widget: boolean
        default: false
        required: false
      - name: body
        label: 注释 (Markdown)
        widget: markdown
        required: false
        default: ''
      - name: parent
        label: 母词条
        widget: relation
        collection: 'chinese-oddities-entries' 
        search_fields: ['name', 'aliases']
        display_fields: ['name']
        value_field: 'id'
        required: false
      - name: relatedEntries
        label: 相关词条
        widget: relation
        collection: 'chinese-oddities-entries'
        search_fields: ['name', 'aliases']
        display_fields: ['name']
        value_field: 'id'
        multiple: true
        required: false
      - name: timelineEvents
        label: 内嵌时间轴
        widget: list
        required: false
        collapsed: true
        default: []
        fields:
          - label: 日期
            name: date
            widget: datetime
            format: 'YYYY-MM-DD'
            date_format: 'YYYY-MM-DD'
            time_format: false
            required: false
            default: ''
          - label: 事件描述
            name: event
            widget: string
            required: false
            default: ''
      - name: titledLinks
        label: 多重带标题链接
        widget: list
        required: false
        collapsed: true
        default: []
        fields:
          - label: 链接标题
            name: title
            widget: string
            required: false
            default: ''
          - label: 链接 URL
            name: url
            widget: string
            required: false
            default: ''
          - label: 不适合直播
            name: nsfw
            widget: boolean
            default: false
            required: false

  - name: Chinese_Archaeology
    label: 冰山图 - 中国考古学
    files:
      - name: meta
        label: 元数据 (Meta)
        file: content/iceberg-charts/Chinese_Archaeology/metadata.json
        fields:
          - label: 标题
            name: title
            widget: string
          - label: 描述
            name: description
            widget: markdown
            required: false
            default: ''
          - label: 制作者
            name: creator
            widget: list
            required: false
            fields:
              - label: 名称
                name: name
                widget: string
              - label: 个人主页
                name: url
                widget: string
            default: []
          - label: 协作者
            name: co-creators
            widget: list
            required: false
            fields:
              - label: 名称
                name: name
                widget: string
              - label: 个人主页
                name: url
                widget: string
            default: []
          - label: 隐藏
            name: hidden
            widget: boolean
            default: false
            required: false
      - name: layers
        label: 层级 (Layers)
        file: content/iceberg-charts/Chinese_Archaeology/layers.json
        fields:
          - name: layers
            label: 层级列表
            widget: list
            summary: 'L{{fields.level}} - {{fields.name}}'
            fields:
              - label: 层级 (数字)
                name: level
                widget: number
                value_type: int
              - label: 名称
                name: name
                widget: string
              - label: 描述
                name: description
                widget: text
                required: false
                default: ''
              - label: 图片
                name: image
                widget: image
                required: false
                default: ''
      - name: categories
        label: 分类 (Categories)
        file: content/iceberg-charts/Chinese_Archaeology/categories.json
        fields:
          - name: categories
            label: 分类列表
            widget: list
            summary: '{{fields.name}}'
            fields:
              - label: ID
                name: id
                widget: unique-id-button
                required: true
                hint: '必要：点击“生成 ID”按钮或手动输入一个唯一ID。'
              - label: 名称
                name: name
                widget: string
              - label: 颜色
                name: color
                widget: color
              - label: 描述
                name: description
                widget: text
                required: false
                default: ''
      - name: tags
        label: 标签 (Tags)
        file: content/iceberg-charts/Chinese_Archaeology/tags.json
        fields:
          - name: tags
            label: 标签列表
            widget: list
            summary: '{{fields.name}}'
            fields:
              - label: ID
                name: id
                widget: unique-id-button
                required: true
                hint: '必要：点击“生成 ID”按钮或手动输入一个唯一ID。'
              - label: 名称
                name: name
                widget: string
              - label: Emoji
                name: emoji
                widget: string
              - label: 颜色
                name: color
                widget: color
              - label: 描述
                name: description
                widget: text
                required: false
                default: ''
  - name: Chinese_Archaeology_entries
    label: 冰山图 - 中国考古学 - 词条
    folder: content/iceberg-charts/Chinese_Archaeology/entries
    load_in_cluster: true
    create: true
    slug: '{{name}}'
    summary: L{{layer}} - {{name}}
    view_groups:
      - label: 层级
        field: layer
    fields:
      - name: id
        label: ID
        widget: unique-id-button # 使用你自定义小部件的名称
        required: true
        hint: '必要：点击“生成 ID”按钮或手动输入一个唯一ID。'
      - name: lastUpdated
        label: 最后更新时间
        widget: datetime
        format: 'X'
        date_format: 'YYYY-MM-DD'
        time_format: 'HH:mm'
        required: false
        default: ''
      - name: name
        label: 词条名称
        widget: string
      - name: aliases
        label: 别名
        widget: list
        required: false
        allow_add: true
        default: []
      - name: layer
        label: 层级 (数字)
        widget: number
        default: 1
      - name: eventDate
        label: 事件日期
        widget: datetime
        required: false
        format: 'YYYY-MM-DD'
        date_format: 'YYYY-MM-DD'
        time_format: false
        default: ''
      - name: categoryId
        label: 分类
        widget: relation
        collection: Chinese_Archaeology
        file: categories
        search_fields:
          - categories.*.name
        display_fields:
          - categories.*.name
        value_field: categories.*.id
        required: false
        default: ''
      - name: tagIds
        label: 标签
        widget: relation
        collection: Chinese_Archaeology
        file: tags
        search_fields:
          - tags.*.name
        display_fields:
          - tags.*.name
        value_field: tags.*.id
        multiple: true
        required: false
        default: []
      - name: nsfw
        label: 不适合直播
        widget: boolean
        default: false
        required: false
      - name: body
        label: 注释 (Markdown)
        widget: markdown
        required: false
        default: ''
      - name: parent
        label: 母词条
        widget: relation
        collection: 'Chinese_Archaeology_entries'
        search_fields: ['name', 'aliases']
        display_fields: ['name']
        value_field: 'id'
        required: false
      - name: relatedEntries
        label: 相关词条
        widget: relation
        collection: 'Chinese_Archaeology_entries'
        search_fields: ['name', 'aliases']
        display_fields: ['name']
        value_field: 'id'
        multiple: true
        required: false
      - name: timelineEvents
        label: 内嵌时间轴
        widget: list
        required: false
        collapsed: true
        default: []
        fields:
          - label: 日期
            name: date
            widget: datetime
            format: 'YYYY-MM-DD'
            date_format: 'YYYY-MM-DD'
            time_format: false
            required: false
            default: ''
          - label: 事件描述
            name: event
            widget: string
            required: false
            default: ''
      - name: titledLinks
        label: 多重带标题链接
        widget: list
        required: false
        collapsed: true
        default: []
        fields:
          - label: 链接标题
            name: title
            widget: string
            required: false
            default: ''
          - label: 链接 URL
            name: url
            widget: string
            required: false
            default: ''
          - label: 不适合直播
            name: nsfw
            widget: boolean
            default: false
            required: false            